Dulwich.io dulwich / upstream/0.10.1+git20150525 .travis.yml
upstream/0.10.1+git20150525

Tree @upstream/0.10.1+git20150525 (Download .tar.gz)

.travis.yml @upstream/0.10.1+git20150525raw · history · blame

language: python
# Workaround to make 2.7 use system site packages, and 2.6 and 3.4 not use system
# site packages.
# https://github.com/travis-ci/travis-ci/issues/2219#issuecomment-41804942
python:
- "2.6"
- "2.7_with_system_site_packages"
- "3.4"
- "pypy"
script:
  - PYTHONHASHSEED=random python setup.py test
  - make check-noextensions
install:
  - sudo apt-get update
  - sudo apt-get install -qq git python-setuptools python-gevent python-fastimport python-mock
  - if [[ $TRAVIS_PYTHON_VERSION == 2* ]]; then pip install unittest2; fi